c     constants that define the problem size
      integer NLAYERS,NSPECIES,NCOLS,NHRS,DEFNSTEPS,BW,SCALE
      parameter (NLAYERS=5)   ! atmospheric layers
      parameter (NSPECIES=35) ! chemical species
      parameter (NCOLS=700)   ! grid points per layer (small model)
c     parameter (NCOLS=3500)  ! grid points per layer (large model)
      parameter (NHRS=2)      ! hours of simulated time
      parameter (DEFNSTEPS=5) ! default iterations per hour
      parameter (BW=25)       ! bandwidth of stiffness matrix O(sqrt(NCOLS))
      parameter (SCALE=1)     ! set this to 3 to get the actual time of the
                              ! real application on an Alpha.

c     delay constants that define the synthetic workload
      integer DINPUT,DASSEMBLE,DFACTOR,DTRANSPORT,DFILTER,DCHEMISTRY
      parameter (DINPUT=1000*SCALE)
      parameter (DASSEMBLE=40*SCALE)
      parameter (DFACTOR=6*SCALE)
      parameter (DFILTER=25*SCALE)
      parameter (DTRANSPORT=1*SCALE)
      parameter (DCHEMISTRY=400*SCALE)

